## org.eclipse.jetty.server.session
Class HashSessionManager.HashedSession

    java.lang.Object
      org.eclipse.jetty.server.session.AbstractSessionManager.Session
          org.eclipse.jetty.server.session.HashSessionManager.HashedSession

All Implemented Interfaces:
  Serializable, HttpSession, AbstractSessionManager.SessionIf

Enclosing class:
  HashSessionManager

    protected class HashSessionManager.HashedSession

extends AbstractSessionManager.Session

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.eclipse.jetty.server.session.AbstractSessionManager.Session
`_accessed, _attributes, _clusterId, _cookieSet, _created, _doInvalidate, _idChanged, _invalid, _lastAccessed, _maxIdleMs, _newSession, _nodeId, _requests`

Constructor Summary
`protected` `HashSessionManager.HashedSession(HttpServletRequest request)`
`protected` `HashSessionManager.HashedSession(long created, long accessed, String clusterId)`

Method Summary
`void` `deIdle()`
`void` `idle()` Idle the session to reduce session memory footprint.
`void` `invalidate()` Invalidates this session then unbinds any objects bound to it.
`boolean` `isIdled()`
`protected boolean` `isNotAvailable()`
`boolean` `isSaveFailed()`
`void` `remove()`
`void` `save(OutputStream os)`
`void` `saveFailed()`
`void` `setMaxInactiveInterval(int secs)` Specifies the time, in seconds, between client requests before the servlet container will invalidate this session.

Methods inherited from class org.eclipse.jetty.server.session.AbstractSessionManager.Session

`access, bindValue, complete, cookieSet, didActivate, doInvalidate, getAttribute, getAttributeNames, getClusterId, getCookieSetTime, getCreationTime, getId, getLastAccessedTime, getMaxInactiveInterval, getNodeId, getServletContext, getSession, getSessionContext, getValue, getValueNames, isIdChanged, isNew, isValid, putValue, removeAttribute, removeValue, setAttribute, setIdChanged, timeout, toString, unbindValue, willPassivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HashSessionManager.HashedSession

    protected HashSessionManager.HashedSession(HttpServletRequest request)

### HashSessionManager.HashedSession

    protected HashSessionManager.HashedSession(long created,
                                               long accessed,
                                               String clusterId)

Method Detail

### isNotAvailable

    protected boolean isNotAvailable()

  Overrides:
    `isNotAvailable` in class `AbstractSessionManager.Session`
  Returns:
    True is the session is invalid or passivated.

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int secs)

  Description copied from interface: `HttpSession`
  Specifies the time, in seconds, between client requests before the servlet container will invalidate this session. A negative time indicates the session should never timeout.

  Specified by:
    `setMaxInactiveInterval` in interface `HttpSession`
  Overrides:
    `setMaxInactiveInterval` in class `AbstractSessionManager.Session`
  Parameters:
    `secs` - An integer specifying the number of seconds

### invalidate

    public void invalidate()
                    throws IllegalStateException

  Description copied from interface: `HttpSession`
  Invalidates this session then unbinds any objects bound to it.

  Specified by:
    `invalidate` in interface `HttpSession`
  Overrides:
    `invalidate` in class `AbstractSessionManager.Session`
  Throws:
    `IllegalStateException` - if this method is called on an already invalidated session

### remove

    public void remove()

### save

    public void save(OutputStream os)
              throws IOException

  Throws:
    `IOException`

### deIdle

    public void deIdle()

### idle

    public void idle()

  Idle the session to reduce session memory footprint. The session is idled by persisting it, then clearing the session values attribute map and finally setting it to an idled state.

### isIdled

    public boolean isIdled()

### isSaveFailed

    public boolean isSaveFailed()

### saveFailed

    public void saveFailed()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.